View Issue Details

IDProjectCategoryView StatusLast Update
0032455LazarusIDEpublic2017-11-17 17:37
ReporterLagunov Aleksey Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version1.9 (SVN) 
Fixed in Version1.9 (SVN) 
Summary0032455: AV on open form in revision 55890
DescriptionError on open form in lazarus revision 55890
In revision 55889 work normal
Steps To ReproduceError log:
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
[TJITComponentList.ReaderError] "Access violation" ignoring=False
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
[TJITComponentList.AddJITChildComponentFromStream] ERROR reading form stream of Class "TRshodMassAddForm" Error: Access violation
  Stack trace:
  $000000000060ECEC SETTABSTOP, line 537 of include/tabcontrol.inc
  $0000000000608522 CREATE, line 278 of include/customnotebook.inc
  $000000000060F9AB CREATE, line 750 of include/tabcontrol.inc
  $000000000053E712 READCOMPONENT, line 908 of ../objpas/classes/reader.inc
  $000000000053ED85 READDATA, line 1009 of ../objpas/classes/reader.inc
  $000000000053E9E5 READCOMPONENT, line 960 of ../objpas/classes/reader.inc
  $000000000053ED85 READDATA, line 1009 of ../objpas/classes/reader.inc
  $0000000000609FA1 READSTATE, line 917 of include/customnotebook.inc
  $000000000053E9E5 READCOMPONENT, line 960 of ../objpas/classes/reader.inc
  $000000000053ED85 READDATA, line 1009 of ../objpas/classes/reader.inc
  $000000000053E9E5 READCOMPONENT, line 960 of ../objpas/classes/reader.inc
  $000000000053ED85 READDATA, line 1009 of ../objpas/classes/reader.inc
  $000000000053E9E5 READCOMPONENT, line 960 of ../objpas/classes/reader.inc
  $000000000053ED85 READDATA, line 1009 of ../objpas/classes/reader.inc
  $0000000000609FA1 READSTATE, line 917 of include/customnotebook.inc
  $000000000053E9E5 READCOMPONENT, line 960 of ../objpas/classes/reader.inc
  $000000000053ED85 READDATA, line 1009 of ../objpas/classes/reader.inc
TCustomFormEditor.JITListException List.CurReadStreamClass=TRshodMassAddForm TUnitInfo
ERROR: streaming failed lfm="/home/work/makosh/Makosh/sale/salemassaddunit.lfm"
TFileOpener.OpenResource LoadLFM failed
TagsNo tags attached.
Fixed in Revision55892, 56350
LazTarget-
Widgetset
Attached Files

Relationships

related to 0032335 resolvedOndrej Pokorny TDateEdit: SelectNext doesn't work 
related to 0030305 resolvedOndrej Pokorny TabControl don't get focus (even with TabStop=true) 

Activities

Michl

2017-09-22 11:34

developer   ~0102973

Please test and close if ok.

Michl

2017-09-22 11:37

developer  

test.zip (1,953 bytes)

Ondrej Pokorny

2017-11-10 09:54

developer   ~0103988

I reverted r55892. Please retest.

Lagunov Aleksey

2017-11-13 09:50

reporter   ~0104052

work normal

Issue History

Date Modified Username Field Change
2017-09-22 07:40 Lagunov Aleksey New Issue
2017-09-22 08:23 Michl Assigned To => Michl
2017-09-22 08:23 Michl Status new => assigned
2017-09-22 08:24 Michl Relationship added related to 0032335
2017-09-22 09:00 Michl Relationship added related to 0030305
2017-09-22 11:34 Michl Fixed in Revision => 55892
2017-09-22 11:34 Michl LazTarget => 1.8
2017-09-22 11:34 Michl Note Added: 0102973
2017-09-22 11:34 Michl Status assigned => resolved
2017-09-22 11:34 Michl Fixed in Version => 1.9 (SVN)
2017-09-22 11:34 Michl Resolution open => fixed
2017-09-22 11:34 Michl Target Version => 1.8
2017-09-22 11:37 Michl File Added: test.zip
2017-09-22 12:23 Lagunov Aleksey Status resolved => closed
2017-11-10 09:54 Ondrej Pokorny LazTarget 1.8 => -
2017-11-10 09:54 Ondrej Pokorny Assigned To Michl => Ondrej Pokorny
2017-11-10 09:54 Ondrej Pokorny Note Added: 0103988
2017-11-10 09:54 Ondrej Pokorny Status closed => assigned
2017-11-10 09:54 Ondrej Pokorny Resolution fixed => reopened
2017-11-10 09:54 Ondrej Pokorny Target Version 1.8 =>
2017-11-10 09:55 Ondrej Pokorny Fixed in Revision 55892 => 55892, 56350
2017-11-13 09:50 Lagunov Aleksey Note Added: 0104052
2017-11-13 09:58 Ondrej Pokorny Status assigned => resolved
2017-11-13 09:58 Ondrej Pokorny Resolution reopened => no change required
2017-11-17 17:37 Lagunov Aleksey Status resolved => closed